org.eclipse.wst.jsdt.core.compiler

## Interface ITerminalSymbols

    public interface ITerminalSymbols

Maps each terminal symbol in the javaScript-grammar into a unique integer. This integer is used to represent the terminal when computing a parsing action.

This interface is not intended to be implemented by clients.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Field Summary

Fields
`static int` `TokenNameabstract`
`static int` `TokenNameAND`
`static int` `TokenNameAND_AND`
`static int` `TokenNameAND_EQUAL`
`static int` `TokenNameassert`
`static int` `TokenNameAT`
`static int` `TokenNameboolean`
`static int` `TokenNamebreak`
`static int` `TokenNamebyte`
`static int` `TokenNamecase`
`static int` `TokenNamecatch`
`static int` `TokenNamechar`
`static int` `TokenNameCharacterLiteral`
`static int` `TokenNameclass`
`static int` `TokenNameCOLON`
`static int` `TokenNameCOMMA`
`static int` `TokenNameCOMMENT_BLOCK`
`static int` `TokenNameCOMMENT_JAVADOC`
`static int` `TokenNameCOMMENT_LINE`
`static int` `TokenNameconst`
`static int` `TokenNamecontinue`
`static int` `TokenNamedebugger`
`static int` `TokenNamedefault`
`static int` `TokenNamedelete`
`static int` `TokenNameDIVIDE`
`static int` `TokenNameDIVIDE_EQUAL`
`static int` `TokenNamedo`
`static int` `TokenNameDOT`
`static int` `TokenNamedouble`
`static int` `TokenNameDoubleLiteral`
`static int` `TokenNameELLIPSIS`
`static int` `TokenNameelse`
`static int` `TokenNameenum`
`static int` `TokenNameEOF`
`static int` `TokenNameEQUAL`
`static int` `TokenNameEQUAL_EQUAL`
`static int` `TokenNameEQUAL_EQUAL_EQUAL`
`static int` `TokenNameERROR`
`static int` `TokenNameexport`
`static int` `TokenNameextends`
`static int` `TokenNamefalse`
`static int` `TokenNamefinal`
`static int` `TokenNamefinally`
`static int` `TokenNamefloat`
`static int` `TokenNameFloatingPointLiteral`
`static int` `TokenNamefor`
`static int` `TokenNamefunction`
`static int` `TokenNamegoto`
`static int` `TokenNameGREATER`
`static int` `TokenNameGREATER_EQUAL`
`static int` `TokenNameIdentifier`
`static int` `TokenNameif`
`static int` `TokenNameimplements`
`static int` `TokenNameimport`
`static int` `TokenNamein`
`static int` `TokenNameinfinity`
`static int` `TokenNameinstanceof`
`static int` `TokenNameint`
`static int` `TokenNameIntegerLiteral`
`static int` `TokenNameinterface`
`static int` `TokenNameLBRACE`
`static int` `TokenNameLBRACKET`
`static int` `TokenNameLEFT_SHIFT`
`static int` `TokenNameLEFT_SHIFT_EQUAL`
`static int` `TokenNameLESS`
`static int` `TokenNameLESS_EQUAL`
`static int` `TokenNamelong`
`static int` `TokenNameLongLiteral`
`static int` `TokenNameLPAREN`
`static int` `TokenNameMINUS`
`static int` `TokenNameMINUS_EQUAL`
`static int` `TokenNameMINUS_MINUS`
`static int` `TokenNameMULTIPLY`
`static int` `TokenNameMULTIPLY_EQUAL`
`static int` `TokenNamenative`
`static int` `TokenNamenew`
`static int` `TokenNameNOT`
`static int` `TokenNameNOT_EQUAL`
`static int` `TokenNameNOT_EQUAL_EQUAL`
`static int` `TokenNamenull`
`static int` `TokenNameOR`
`static int` `TokenNameOR_EQUAL`
`static int` `TokenNameOR_OR`
`static int` `TokenNamepackage`
`static int` `TokenNamePLUS`
`static int` `TokenNamePLUS_EQUAL`
`static int` `TokenNamePLUS_PLUS`
`static int` `TokenNameprivate`
`static int` `TokenNameprotected`
`static int` `TokenNamepublic`
`static int` `TokenNameQUESTION`
`static int` `TokenNameRBRACE`
`static int` `TokenNameRBRACKET`
`static int` `TokenNameRegExLiteral`
`static int` `TokenNameREMAINDER`
`static int` `TokenNameREMAINDER_EQUAL`
`static int` `TokenNamereturn`
`static int` `TokenNameRIGHT_SHIFT`
`static int` `TokenNameRIGHT_SHIFT_EQUAL`
`static int` `TokenNameRPAREN`
`static int` `TokenNameSEMICOLON`
`static int` `TokenNameSHEBANG_LINE`
`static int` `TokenNameshort`
`static int` `TokenNamestatic`
`static int` `TokenNamestrictfp`
`static int` `TokenNameStringLiteral`
`static int` `TokenNamesuper`
`static int` `TokenNameswitch`
`static int` `TokenNamesynchronized`
`static int` `TokenNamethis`
`static int` `TokenNamethrow`
`static int` `TokenNamethrows`
`static int` `TokenNametransient`
`static int` `TokenNametrue`
`static int` `TokenNametry`
`static int` `TokenNameTWIDDLE`
`static int` `TokenNametypeof`
`static int` `TokenNameundefined`
`static int` `TokenNameUNSIGNED_RIGHT_SHIFT`
`static int` `TokenNameUNSIGNED_RIGHT_SHIFT_EQUAL`
`static int` `TokenNamevar`
`static int` `TokenNamevoid`
`static int` `TokenNamevolatile`
`static int` `TokenNamewhile`
`static int` `TokenNameWHITESPACE`
`static int` `TokenNamewith`
`static int` `TokenNameXOR`
`static int` `TokenNameXOR_EQUAL`

### Field Detail

#### TokenNameWHITESPACE

    static final int TokenNameWHITESPACE

See Also:
  Constant Field Values

#### TokenNameCOMMENT_LINE

    static final int TokenNameCOMMENT_LINE

See Also:
  Constant Field Values

#### TokenNameCOMMENT_BLOCK

    static final int TokenNameCOMMENT_BLOCK

See Also:
  Constant Field Values

#### TokenNameCOMMENT_JAVADOC

    static final int TokenNameCOMMENT_JAVADOC

See Also:
  Constant Field Values

#### TokenNameSHEBANG_LINE

    static final int TokenNameSHEBANG_LINE

See Also:
  Constant Field Values

#### TokenNameIdentifier

    static final int TokenNameIdentifier

See Also:
  Constant Field Values

#### TokenNameabstract

    static final int TokenNameabstract

See Also:
  Constant Field Values

#### TokenNameassert

    static final int TokenNameassert

See Also:
  Constant Field Values

#### TokenNameboolean

    static final int TokenNameboolean

See Also:
  Constant Field Values

#### TokenNamebreak

    static final int TokenNamebreak

See Also:
  Constant Field Values

#### TokenNamebyte

    static final int TokenNamebyte

See Also:
  Constant Field Values

#### TokenNamecase

    static final int TokenNamecase

See Also:
  Constant Field Values

#### TokenNamecatch

    static final int TokenNamecatch

See Also:
  Constant Field Values

#### TokenNamechar

    static final int TokenNamechar

See Also:
  Constant Field Values

#### TokenNameclass

    static final int TokenNameclass

See Also:
  Constant Field Values

#### TokenNamecontinue

    static final int TokenNamecontinue

See Also:
  Constant Field Values

#### TokenNamedefault

    static final int TokenNamedefault

See Also:
  Constant Field Values

#### TokenNamedo

    static final int TokenNamedo

See Also:
  Constant Field Values

#### TokenNamedouble

    static final int TokenNamedouble

See Also:
  Constant Field Values

#### TokenNameelse

    static final int TokenNameelse

See Also:
  Constant Field Values

#### TokenNameextends

    static final int TokenNameextends

See Also:
  Constant Field Values

#### TokenNamefalse

    static final int TokenNamefalse

See Also:
  Constant Field Values

#### TokenNamefinal

    static final int TokenNamefinal

See Also:
  Constant Field Values

#### TokenNamefinally

    static final int TokenNamefinally

See Also:
  Constant Field Values

#### TokenNamefloat

    static final int TokenNamefloat

See Also:
  Constant Field Values

#### TokenNamefor

    static final int TokenNamefor

See Also:
  Constant Field Values

#### TokenNameif

    static final int TokenNameif

See Also:
  Constant Field Values

#### TokenNameimplements

    static final int TokenNameimplements

See Also:
  Constant Field Values

#### TokenNameimport

    static final int TokenNameimport

See Also:
  Constant Field Values

#### TokenNameinstanceof

    static final int TokenNameinstanceof

See Also:
  Constant Field Values

#### TokenNameint

    static final int TokenNameint

See Also:
  Constant Field Values

#### TokenNameinterface

    static final int TokenNameinterface

See Also:
  Constant Field Values

#### TokenNamelong

    static final int TokenNamelong

See Also:
  Constant Field Values

#### TokenNamenative

    static final int TokenNamenative

See Also:
  Constant Field Values

#### TokenNamenew

    static final int TokenNamenew

See Also:
  Constant Field Values

#### TokenNamenull

    static final int TokenNamenull

See Also:
  Constant Field Values

#### TokenNamepackage

    static final int TokenNamepackage

See Also:
  Constant Field Values

#### TokenNameprivate

    static final int TokenNameprivate

See Also:
  Constant Field Values

#### TokenNameprotected

    static final int TokenNameprotected

See Also:
  Constant Field Values

#### TokenNamepublic

    static final int TokenNamepublic

See Also:
  Constant Field Values

#### TokenNamereturn

    static final int TokenNamereturn

See Also:
  Constant Field Values

#### TokenNameshort

    static final int TokenNameshort

See Also:
  Constant Field Values

#### TokenNamestatic

    static final int TokenNamestatic

See Also:
  Constant Field Values

#### TokenNamestrictfp

    static final int TokenNamestrictfp

See Also:
  Constant Field Values

#### TokenNamesuper

    static final int TokenNamesuper

See Also:
  Constant Field Values

#### TokenNameswitch

    static final int TokenNameswitch

See Also:
  Constant Field Values

#### TokenNamesynchronized

    static final int TokenNamesynchronized

See Also:
  Constant Field Values

#### TokenNamethis

    static final int TokenNamethis

See Also:
  Constant Field Values

#### TokenNamethrow

    static final int TokenNamethrow

See Also:
  Constant Field Values

#### TokenNamethrows

    static final int TokenNamethrows

See Also:
  Constant Field Values

#### TokenNametransient

    static final int TokenNametransient

See Also:
  Constant Field Values

#### TokenNametrue

    static final int TokenNametrue

See Also:
  Constant Field Values

#### TokenNametry

    static final int TokenNametry

See Also:
  Constant Field Values

#### TokenNamevoid

    static final int TokenNamevoid

See Also:
  Constant Field Values

#### TokenNamevolatile

    static final int TokenNamevolatile

See Also:
  Constant Field Values

#### TokenNamewhile

    static final int TokenNamewhile

See Also:
  Constant Field Values

#### TokenNameIntegerLiteral

    static final int TokenNameIntegerLiteral

See Also:
  Constant Field Values

#### TokenNameLongLiteral

    static final int TokenNameLongLiteral

See Also:
  Constant Field Values

#### TokenNameFloatingPointLiteral

    static final int TokenNameFloatingPointLiteral

See Also:
  Constant Field Values

#### TokenNameDoubleLiteral

    static final int TokenNameDoubleLiteral

See Also:
  Constant Field Values

#### TokenNameCharacterLiteral

    static final int TokenNameCharacterLiteral

See Also:
  Constant Field Values

#### TokenNameStringLiteral

    static final int TokenNameStringLiteral

See Also:
  Constant Field Values

#### TokenNameRegExLiteral

    static final int TokenNameRegExLiteral

See Also:
  Constant Field Values

#### TokenNamePLUS_PLUS

    static final int TokenNamePLUS_PLUS

See Also:
  Constant Field Values

#### TokenNameMINUS_MINUS

    static final int TokenNameMINUS_MINUS

See Also:
  Constant Field Values

#### TokenNameEQUAL_EQUAL

    static final int TokenNameEQUAL_EQUAL

See Also:
  Constant Field Values

#### TokenNameLESS_EQUAL

    static final int TokenNameLESS_EQUAL

See Also:
  Constant Field Values

#### TokenNameGREATER_EQUAL

    static final int TokenNameGREATER_EQUAL

See Also:
  Constant Field Values

#### TokenNameNOT_EQUAL

    static final int TokenNameNOT_EQUAL

See Also:
  Constant Field Values

#### TokenNameLEFT_SHIFT

    static final int TokenNameLEFT_SHIFT

See Also:
  Constant Field Values

#### TokenNameRIGHT_SHIFT

    static final int TokenNameRIGHT_SHIFT

See Also:
  Constant Field Values

#### TokenNameUNSIGNED_RIGHT_SHIFT

    static final int TokenNameUNSIGNED_RIGHT_SHIFT

See Also:
  Constant Field Values

#### TokenNamePLUS_EQUAL

    static final int TokenNamePLUS_EQUAL

See Also:
  Constant Field Values

#### TokenNameMINUS_EQUAL

    static final int TokenNameMINUS_EQUAL

See Also:
  Constant Field Values

#### TokenNameMULTIPLY_EQUAL

    static final int TokenNameMULTIPLY_EQUAL

See Also:
  Constant Field Values

#### TokenNameDIVIDE_EQUAL

    static final int TokenNameDIVIDE_EQUAL

See Also:
  Constant Field Values

#### TokenNameAND_EQUAL

    static final int TokenNameAND_EQUAL

See Also:
  Constant Field Values

#### TokenNameOR_EQUAL

    static final int TokenNameOR_EQUAL

See Also:
  Constant Field Values

#### TokenNameXOR_EQUAL

    static final int TokenNameXOR_EQUAL

See Also:
  Constant Field Values

#### TokenNameREMAINDER_EQUAL

    static final int TokenNameREMAINDER_EQUAL

See Also:
  Constant Field Values

#### TokenNameLEFT_SHIFT_EQUAL

    static final int TokenNameLEFT_SHIFT_EQUAL

See Also:
  Constant Field Values

#### TokenNameRIGHT_SHIFT_EQUAL

    static final int TokenNameRIGHT_SHIFT_EQUAL

See Also:
  Constant Field Values

#### TokenNameUNSIGNED_RIGHT_SHIFT_EQUAL

    static final int TokenNameUNSIGNED_RIGHT_SHIFT_EQUAL

See Also:
  Constant Field Values

#### TokenNameOR_OR

    static final int TokenNameOR_OR

See Also:
  Constant Field Values

#### TokenNameAND_AND

    static final int TokenNameAND_AND

See Also:
  Constant Field Values

#### TokenNamePLUS

    static final int TokenNamePLUS

See Also:
  Constant Field Values

#### TokenNameMINUS

    static final int TokenNameMINUS

See Also:
  Constant Field Values

#### TokenNameNOT

    static final int TokenNameNOT

See Also:
  Constant Field Values

#### TokenNameREMAINDER

    static final int TokenNameREMAINDER

See Also:
  Constant Field Values

#### TokenNameXOR

    static final int TokenNameXOR

See Also:
  Constant Field Values

#### TokenNameAND

    static final int TokenNameAND

See Also:
  Constant Field Values

#### TokenNameMULTIPLY

    static final int TokenNameMULTIPLY

See Also:
  Constant Field Values

#### TokenNameOR

    static final int TokenNameOR

See Also:
  Constant Field Values

#### TokenNameTWIDDLE

    static final int TokenNameTWIDDLE

See Also:
  Constant Field Values

#### TokenNameDIVIDE

    static final int TokenNameDIVIDE

See Also:
  Constant Field Values

#### TokenNameGREATER

    static final int TokenNameGREATER

See Also:
  Constant Field Values

#### TokenNameLESS

    static final int TokenNameLESS

See Also:
  Constant Field Values

#### TokenNameLPAREN

    static final int TokenNameLPAREN

See Also:
  Constant Field Values

#### TokenNameRPAREN

    static final int TokenNameRPAREN

See Also:
  Constant Field Values

#### TokenNameLBRACE

    static final int TokenNameLBRACE

See Also:
  Constant Field Values

#### TokenNameRBRACE

    static final int TokenNameRBRACE

See Also:
  Constant Field Values

#### TokenNameLBRACKET

    static final int TokenNameLBRACKET

See Also:
  Constant Field Values

#### TokenNameRBRACKET

    static final int TokenNameRBRACKET

See Also:
  Constant Field Values

#### TokenNameSEMICOLON

    static final int TokenNameSEMICOLON

See Also:
  Constant Field Values

#### TokenNameQUESTION

    static final int TokenNameQUESTION

See Also:
  Constant Field Values

#### TokenNameCOLON

    static final int TokenNameCOLON

See Also:
  Constant Field Values

#### TokenNameCOMMA

    static final int TokenNameCOMMA

See Also:
  Constant Field Values

#### TokenNameDOT

    static final int TokenNameDOT

See Also:
  Constant Field Values

#### TokenNameEQUAL

    static final int TokenNameEQUAL

See Also:
  Constant Field Values

#### TokenNameEOF

    static final int TokenNameEOF

See Also:
  Constant Field Values

#### TokenNameERROR

    static final int TokenNameERROR

See Also:
  Constant Field Values

#### TokenNameenum

    static final int TokenNameenum

See Also:
  Constant Field Values

#### TokenNameAT

    static final int TokenNameAT

See Also:
  Constant Field Values

#### TokenNameELLIPSIS

    static final int TokenNameELLIPSIS

See Also:
  Constant Field Values

#### TokenNameconst

    static final int TokenNameconst

See Also:
  Constant Field Values

#### TokenNamegoto

    static final int TokenNamegoto

See Also:
  Constant Field Values

#### TokenNameNOT_EQUAL_EQUAL

    static final int TokenNameNOT_EQUAL_EQUAL

See Also:
  Constant Field Values

#### TokenNameEQUAL_EQUAL_EQUAL

    static final int TokenNameEQUAL_EQUAL_EQUAL

See Also:
  Constant Field Values

#### TokenNamedelete

    static final int TokenNamedelete

See Also:
  Constant Field Values

#### TokenNamedebugger

    static final int TokenNamedebugger

See Also:
  Constant Field Values

#### TokenNameexport

    static final int TokenNameexport

See Also:
  Constant Field Values

#### TokenNamefunction

    static final int TokenNamefunction

See Also:
  Constant Field Values

#### TokenNamein

    static final int TokenNamein

See Also:
  Constant Field Values

#### TokenNameinfinity

    static final int TokenNameinfinity

See Also:
  Constant Field Values

#### TokenNametypeof

    static final int TokenNametypeof

See Also:
  Constant Field Values

#### TokenNameundefined

    static final int TokenNameundefined

See Also:
  Constant Field Values

#### TokenNamevar

    static final int TokenNamevar

See Also:
  Constant Field Values

#### TokenNamewith

    static final int TokenNamewith

See Also:
  Constant Field Values